<script lang="ts">
	import { clickOutside } from 'svelte-use-click-outside';
	import Input from './Input.svelte';
	import { slide } from 'svelte/transition';
	import { ChevronDownIcon, ChevronUpIcon } from 'svelte-feather-icons';

	export let items: string[] = [];
	export let value: string = '';
	export let label: string = '';

	let open = false;
</script>

<div
	class="relative w-full"
	use:clickOutside={() => {
		open = false;
	}}
>
	<label class="text-white" for={label}>{label}</label>
	<div class="relative">
		<input
			type="text"
			class="border border-primary-500 rounded-lg w-full p-2 bg-noir-500"
			bind:value
			on:click={() => {
				open = !open;
			}}
		/>
		<div class="absolute top-0 right-0 w-fit h-full flex items-center pr-2">
			{#if open}
				<ChevronUpIcon />
			{:else}
				<ChevronDownIcon />
			{/if}
		</div>
	</div>

	{#if open}
		<div
			class="absolute top-full left-0 w-full bg-noir-500 z-10 border border-primary-500 rounded-lg shadow-lg shadow-primary-800"
			transition:slide
		>
			{#each items as item, index}
				<button
					class="relative p-2 hover:bg-noir-400 w-full transition-colors"
					on:click={() => {
						value = item;
						open = false;
					}}
				>
					{item}
				</button>
				{#if index < items.length - 1}
					<div class="border-b border-primary-500" />
				{/if}
			{/each}
		</div>
	{/if}
</div>
